Api Documentation

Page layouts components

Page layout components are the building blocks of page layouts. Each component has a type-specific settings object. See the settings parameter examples for each component type.
Creates a new component for a page layout. Only available to API keys without user authentication.
Updates an existing component. Only available to API keys without user authentication.
Deletes a component. Only available to API keys without user authentication.
Json
XML
PUT https://api.bundeling.com/V2/page_layout_components/:uuid

Parameters

Url

NameDescriptionType
uuidA unique identifier for the componentstring

Body

NameDescriptionTypeNillable
component_typeType of component: text, image, content_container
Accepted values: text, image, content_container
stringfalse
positionPosition within the layoutintfalse
settingsComponent-specific settings (JSON object). See POST documentation for settings per component type.mixedfalse
external_referenceExternal system referencestringfalse

Example request

Headers

Content-Type:application/json
Api-Key:RAegSX8yZfEbqSPM

Body

{
    "component_type": "text",
    "position": 0,
    "settings": {
        "content": "

Welcome to our community hub

" }, "external_reference": "" }

Example response

{
    "uuid": "abc123def456789012345678901234ab",
    "page_layout_uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
    "component_type": "text",
    "position": 0,
    "settings": {
        "content": "

Welcome to our community hub

" }, "external_reference": "", "creationdate": "2026-07-03T06:05:58+0200", "lastupdate": "2026-08-02T06:05:58+0200" }